pypy-six_1.10.0-3_all.deb


Advertisement

Description

pypy-six - Python 2 and 3 compatibility library (PyPy interface)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: pypy-six
Package version: 1.10.0
Package release: 3
Package architecture: all
Package type: deb
Installed size: 50 B
Download size: 10.64 KB
Official Mirror: archive.ubuntu.com
Six is a Python 2 and 3 compatibility library. It provides utility functions for smoothing over the differences between the Python versions with the goal of writing Python code that is compatible on both Python versions. This package provides Six on the PyPy module path. It is complemented by python-six and python3-six.

Alternatives

Requires

    Download

    Binary package: pypy-six_1.10.0-3_all.deb
    Source package: six

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pypy-six deb package:
      # sudo apt-get install pypy-six

    Files

    • /usr/lib/pypy/dist-packages/six.py
    • /usr/lib/pypy/dist-packages/six-1.10.0.egg-info/PKG-INFO
    • /usr/lib/pypy/dist-packages/six-1.10.0.egg-info/dependency_links.txt
    • /usr/lib/pypy/dist-packages/six-1.10.0.egg-info/top_level.txt
    • /usr/share/doc/pypy-six/changelog.Debian.gz
    • /usr/share/doc/pypy-six/copyright

    Changelog

    2016-02-09 - Barry Warsaw <barry@debian.org> six (1.10.0-3) unstable; urgency=medium * d/control: - Drop the python-six-whl binary package as it's no longer necessary. (Closes: #814069) - Drop the Build-Depends on python3-wheel. * d/rules: Drop override_dh_auto_install since we no longer need to build the .whl. * d/python-six-whl.install: Removed. * d/tests: Add simple import smoke tests.

    2016-01-27 - Colin Watson <cjwatson@debian.org> six (1.10.0-2) unstable; urgency=medium * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb. * Upgrade to debhelper v9.

    2015-10-07 - Colin Watson <cjwatson@debian.org> six (1.10.0-1) unstable; urgency=medium [ Tristan Seligmann ] * d/control: Add pypy-six package. * d/rules: Add --with pypy. * d/python{,3}-six.pydist: Add pydist files. [ Colin Watson ] * New upstream release.

    2015-09-02 - Barry Warsaw <barry@debian.org> six (1.9.0-5) unstable; urgency=medium * Revert previous change to debian/rules file. It seems to be unnecessary after all.

    2015-09-01 - Barry Warsaw <barry@debian.org> six (1.9.0-4) unstable; urgency=medium * d/rules: Add PYBUILD_TEST_ARGS enabling --assert=plain to avoid ast rewriting bug in pytest with Python 3.5.

    2015-04-27 - Barry Warsaw <barry@debian.org> six (1.9.0-3) unstable; urgency=medium * d/control: Restore X-Python*-Version headers to more modern values. * d/watch: Update to use pypi.debian.net mirror.

    2015-04-27 - Thomas Goirand <zigo@debian.org> six (1.9.0-2) unstable; urgency=medium * Team upload. * Ran wrap-and-sort. * Uploading to unstable. * Dropped X-Python fields which are referencing ancient versions of Python. * Standards-Version: 3.9.6 (no changes).

    2015-01-11 - Colin Watson <cjwatson@debian.org> six (1.9.0-1) experimental; urgency=medium * New upstream release.

    2014-09-12 - Colin Watson <cjwatson@debian.org> six (1.8.0-1) unstable; urgency=medium * New upstream release.

    2014-08-30 - Colin Watson <cjwatson@debian.org> six (1.7.3-2) unstable; urgency=medium * Mark all binary packages Multi-Arch: foreign. * Tell pybuild to copy tests into build directory for the duration of the test phase, so that pytest can run them (closes: #759490). * Build-depend on python-py and python3-py for the test suite; this is currently redundant since python-pytest and python3-pytest depend on these, but it's a good idea for future-proofing.

    Advertisement
    Advertisement